diff --git a/webapp/packages/supersonic-fe/src/pages/SemanticModel/SemanticGraph/components/NodeInfoDrawer.tsx b/webapp/packages/supersonic-fe/src/pages/SemanticModel/SemanticGraph/components/NodeInfoDrawer.tsx
new file mode 100644
index 000000000..fa5d78e1d
--- /dev/null
+++ b/webapp/packages/supersonic-fe/src/pages/SemanticModel/SemanticGraph/components/NodeInfoDrawer.tsx
@@ -0,0 +1,292 @@
+import {
+  Button,
+  Drawer,
+  message,
+  Row,
+  Col,
+  Divider,
+  Tag,
+  Space,
+  Typography,
+  Popconfirm,
+} from 'antd';
+import React, { useState, useEffect, ReactNode } from 'react';
+import { SemanticNodeType } from '../../enum';
+import { deleteDimension, deleteMetric, deleteDatasource } from '../../service';
+import { connect } from 'umi';
+import type { StateType } from '../../model';
+import moment from 'moment';
+import styles from '../style.less';
+import TransTypeTag from '../../components/TransTypeTag';
+import { MetricTypeWording } from '../../enum';
+import { SENSITIVE_LEVEL_ENUM } from '../../constant';
+
+const { Paragraph } = Typography;
+
+type Props = {
+  nodeData: any;
+  domainManger: StateType;
+  onNodeChange: (params?: { eventName?: string }) => void;
+  onEditBtnClick?: (nodeData: any) => void;
+  [key: string]: any;
+};
+
+interface DescriptionItemProps {
+  title: string;
+  content: React.ReactNode;
+}
+
+type InfoListItemChildrenItem = {
+  label: string;
+  value: string;
+  content?: ReactNode;
+  hideItem?: boolean;
+};
+
+type InfoListItem = {
+  title: string;
+  hideItem?: boolean;
+  children: InfoListItemChildrenItem[];
+};
+
+const DescriptionItem = ({ title, content }: DescriptionItemProps) => (
+  <div style={{ marginBottom: 7, fontSize: 14 }}>
+    <Space>
+      <span style={{ width: 'max-content' }}>{title}:</span>
+      {content}
+    </Space>
+  </div>
+);
+
+const NodeInfoDrawer: React.FC<Props> = ({
+  nodeData,
+  domainManger,
+  onNodeChange,
+  onEditBtnClick,
+  ...restProps
+}) => {
+  const [infoList, setInfoList] = useState<InfoListItem[]>([]);
+  const { selectDomainName } = domainManger;
+  useEffect(() => {
+    if (!nodeData) {
+      return;
+    }
+    const {
+      alias,
+      fullPath,
+      bizName,
+      createdBy,
+      createdAt,
+      updatedAt,
+      description,
+      domainName,
+      sensitiveLevel,
+      type,
+      nodeType,
+    } = nodeData;
+
+    const list = [
+      {
+        title: '基本信息',
+        children: [
+          {
+            label: '字段名称',
+            value: bizName,
+          },
+          {
+            label: '别名',
+            value: alias || '-',
+          },
+          {
+            label: '所属主题域',
+            value: domainName,
+            content: <Tag>{domainName || selectDomainName}</Tag>,
+          },
+
+          {
+            label: '描述',
+            value: description,
+          },
+        ],
+      },
+      {
+        title: '应用信息',
+        children: [
+          {
+            label: '全路径',
+            value: fullPath,
+            content: (
+              <Paragraph style={{ width: 275, margin: 0 }} ellipsis={{ tooltip: fullPath }}>
+                {fullPath}
+              </Paragraph>
+            ),
+          },
+          {
+            label: '敏感度',
+            value: SENSITIVE_LEVEL_ENUM[sensitiveLevel],
+          },
+          {
+            label: '指标类型',
+            value: MetricTypeWording[type],
+            hideItem: nodeType !== SemanticNodeType.METRIC,
+          },
+        ],
+      },
+      {
+        title: '创建信息',
+        children: [
+          {
+            label: '创建人',
+            value: createdBy,
+          },
+          {
+            label: '创建时间',
+            value: createdAt ? moment(createdAt).format('YYYY-MM-DD HH:mm:ss') : '',
+          },
+          {
+            label: '更新时间',
+            value: updatedAt ? moment(updatedAt).format('YYYY-MM-DD HH:mm:ss') : '',
+          },
+        ],
+      },
+    ];
+
+    const datasourceList = [
+      {
+        title: '基本信息',
+        children: [
+          {
+            label: '英文名称',
+            value: bizName,
+          },
+          {
+            label: '所属主题域',
+            value: domainName,
+            content: <Tag>{domainName || selectDomainName}</Tag>,
+          },
+          {
+            label: '描述',
+            value: description,
+          },
+        ],
+      },
+      {
+        title: '创建信息',
+        children: [
+          {
+            label: '创建人',
+            value: createdBy,
+          },
+          {
+            label: '创建时间',
+            value: createdAt ? moment(createdAt).format('YYYY-MM-DD HH:mm:ss') : '',
+          },
+          {
+            label: '更新时间',
+            value: updatedAt ? moment(updatedAt).format('YYYY-MM-DD HH:mm:ss') : '',
+          },
+        ],
+      },
+    ];
+
+    setInfoList(nodeType === SemanticNodeType.DATASOURCE ? datasourceList : list);
+  }, [nodeData]);
+
+  const handleDeleteConfirm = async () => {
+    let deleteQuery;
+    if (nodeData?.nodeType === SemanticNodeType.METRIC) {
+      deleteQuery = deleteMetric;
+    }
+    if (nodeData?.nodeType === SemanticNodeType.DIMENSION) {
+      deleteQuery = deleteDimension;
+    }
+    if (nodeData?.nodeType === SemanticNodeType.DATASOURCE) {
+      deleteQuery = deleteDatasource;
+    }
+    if (!deleteQuery) {
+      return;
+    }
+    const { code, msg } = await deleteQuery(nodeData?.uid);
+    if (code === 200) {
+      onNodeChange?.({ eventName: nodeData?.nodeType });
+    } else {
+      message.error(msg);
+    }
+  };
+
+  return (
+    <>
+      <Drawer
+        title={
+          <Space>
+            {nodeData?.name}
+            <TransTypeTag type={nodeData?.nodeType} />
+          </Space>
+        }
+        placement="right"
+        mask={false}
+        getContainer={false}
+        footer={
+          <div className="ant-drawer-extra">
+            <Space>
+              <Button
+                type="primary"
+                key="editBtn"
+                onClick={() => {
+                  onEditBtnClick?.(nodeData);
+                }}
+              >
+                编辑
+              </Button>
+
+              <Popconfirm
+                title="确认删除？"
+                okText="是"
+                cancelText="否"
+                onConfirm={() => {
+                  handleDeleteConfirm();
+                }}
+              >
+                <Button danger key="deleteBtn">
+                  删除
+                </Button>
+              </Popconfirm>
+            </Space>
+          </div>
+        }
+        {...restProps}
+      >
+        <div key={nodeData?.id} className={styles.nodeInfoDrawerContent}>
+          {infoList.map((item) => {
+            const { children, title } = item;
+            return (
+              <div key={title} style={{ display: item.hideItem ? 'none' : 'block' }}>
+                <p className={styles.title}>{title}</p>
+                {children.map((childrenItem) => {
+                  return (
+                    <Row
+                      key={`${childrenItem.label}-${childrenItem.value}`}
+                      style={{ marginBottom: 10, display: childrenItem.hideItem ? 'none' : 'flex' }}
+                    >
+                      <Col span={24}>
+                        <DescriptionItem
+                          title={childrenItem.label}
+                          content={childrenItem.content || childrenItem.value}
+                        />
+                      </Col>
+                    </Row>
+                  );
+                })}
+                <Divider />
+              </div>
+            );
+          })}
+        </div>
+      </Drawer>
+    </>
+  );
+};
+
+export default connect(({ domainManger }: { domainManger: StateType }) => ({
+  domainManger,
+}))(NodeInfoDrawer);
diff --git a/webapp/packages/supersonic-fe/src/pages/SemanticModel/SemanticGraph/components/ToolBar.tsx b/webapp/packages/supersonic-fe/src/pages/SemanticModel/SemanticGraph/components/ToolBar.tsx
index c7c92eb89..44d6bc508 100644
--- a/webapp/packages/supersonic-fe/src/pages/SemanticModel/SemanticGraph/components/ToolBar.tsx
+++ b/webapp/packages/supersonic-fe/src/pages/SemanticModel/SemanticGraph/components/ToolBar.tsx
@@ -1,6 +1,6 @@
 import G6, { Graph } from '@antv/g6';
 import { createDom } from '@antv/dom-util';
-import { RefreshGraphData } from '../../data';
+import { ToolBarSearchCallBack } from '../../data';
 const searchIconSvgPath = `<path d="M909.6 854.5L649.9 594.8C690.2 542.7 712 479 712 412c0-80.2-31.3-155.4-87.9-212.1-56.6-56.7-132-87.9-212.1-87.9s-155.5 31.3-212.1 87.9C143.2 256.5 112 331.8 112 412c0 80.1 31.3 155.5 87.9 212.1C256.5 680.8 331.8 712 412 712c67 0 130.6-21.8 182.7-62l259.7 259.6a8.2 8.2 0 0011.6 0l43.6-43.5a8.2 8.2 0 000-11.6zM570.4 570.4C528 612.7 471.8 636 412 636s-116-23.3-158.4-65.6C211.3 528 188 471.8 188 412s23.3-116.1 65.6-158.4C296 211.3 352.2 188 412 188s116.1 23.2 158.4 65.6S636 352.2 636 412s-23.3 116.1-65.6 158.4z" />`;
 
 // const searchNode = (graph) => {
@@ -27,64 +27,25 @@ const searchIconSvgPath = `<path d="M909.6 854.5L649.9 594.8C690.2 542.7 712 479
 //   }
 // };
 
-interface Node {
-  label: string;
-  children?: Node[];
-}
-
-function findNodesByLabel(query: string, nodes: Node[]): Node[] {
-  const result: Node[] = [];
-
-  for (const node of nodes) {
-    let match = false;
-    let children: Node[] = [];
-
-    // 如果节点的label包含查询字符串，我们将其标记为匹配
-    if (node.label.includes(query)) {
-      match = true;
-    }
-
-    // 我们还需要在子节点中进行搜索
-    if (node.children) {
-      children = findNodesByLabel(query, node.children);
-      if (children.length > 0) {
-        match = true;
-      }
-    }
-
-    // 如果节点匹配或者其子节点匹配，我们将其添加到结果中
-    if (match) {
-      result.push({ ...node, children });
-    }
-  }
-
-  return result;
-}
-
-const searchNode = (graph: Graph, refreshGraphData?: RefreshGraphData) => {
+const searchNode = (graph: Graph, onSearch?: ToolBarSearchCallBack) => {
   const toolBarSearchInput = document.getElementById('toolBarSearchInput') as HTMLInputElement;
   const searchText = toolBarSearchInput.value.trim();
-  const graphData = graph.get('initGraphData');
-  const filterChildrenData = findNodesByLabel(searchText, graphData.children);
-  refreshGraphData?.({
-    ...graphData,
-    children: filterChildrenData,
-  });
+  onSearch?.(searchText);
 };
 
-const generatorSearchInputDom = (graph: Graph, refreshGraphData: RefreshGraphData) => {
+const generatorSearchInputDom = (graph: Graph, onSearch: ToolBarSearchCallBack) => {
   const domString =
     '<input placeholder="请输入指标/维度名称" class="ant-input" id="toolBarSearchInput" type="text" value="" />';
   const searchInputDom = createDom(domString);
   searchInputDom.addEventListener('keydown', (event) => {
     if (event.key === 'Enter') {
-      searchNode(graph, refreshGraphData);
+      searchNode(graph, onSearch);
     }
   });
   return searchInputDom;
 };
 
-const generatorSearchBtnDom = (graph: Graph) => {
+const generatorSearchBtnDom = (graph: Graph, onSearch: ToolBarSearchCallBack) => {
   const domString = `<button
   id="toolBarSearchBtn"
   type="button"
@@ -106,14 +67,14 @@ const generatorSearchBtnDom = (graph: Graph) => {
 </button>`;
   const searchBtnDom = createDom(domString);
   searchBtnDom.addEventListener('click', () => {
-    searchNode(graph);
+    searchNode(graph, onSearch);
   });
   return searchBtnDom;
 };
 
-const searchInputDOM = (graph: Graph, refreshGraphData: RefreshGraphData) => {
-  const searchInputDom = generatorSearchInputDom(graph, refreshGraphData);
-  const searchBtnDom = generatorSearchBtnDom(graph);
+const searchInputDOM = (graph: Graph, onSearch: ToolBarSearchCallBack) => {
+  const searchInputDom = generatorSearchInputDom(graph, onSearch);
+  const searchBtnDom = generatorSearchBtnDom(graph, onSearch);
   const searchInput = `
   <div id="searchInputContent" class="g6-component-toolbar-search-input" style="position: absolute;top: 38px;width: 190px;left: 0;">
     <span class="ant-input-group-wrapper ant-input-search" >
@@ -129,7 +90,7 @@ const searchInputDOM = (graph: Graph, refreshGraphData: RefreshGraphData) => {
   return searchDom;
 };
 
-const initToolBar = ({ refreshGraphData }: { refreshGraphData: RefreshGraphData }) => {
+const initToolBar = ({ onSearch }: { onSearch: ToolBarSearchCallBack }) => {
   const toolBarInstance = new G6.ToolBar();
   const config = toolBarInstance._cfgs;
   const defaultContentDomString = config.getContent();
@@ -155,10 +116,10 @@ const initToolBar = ({ refreshGraphData }: { refreshGraphData: RefreshGraphData
   defaultContentDom.insertAdjacentHTML('afterbegin', searchBtnDom);
   let searchInputContentVisible = true;
   const toolbar = new G6.ToolBar({
-    position: { x: 10, y: 10 },
+    position: { x: 20, y: 20 },
     className: 'semantic-graph-toolbar',
     getContent: (graph) => {
-      const searchInput = searchInputDOM(graph as Graph, refreshGraphData);
+      const searchInput = searchInputDOM(graph as Graph, onSearch);
       const content = `<div class="g6-component-toolbar-content">${defaultContentDom.outerHTML}</div>`;
       const contentDom = createDom(content);
       contentDom.appendChild(searchInput);
diff --git a/webapp/packages/supersonic-fe/src/pages/SemanticModel/SemanticGraph/index.tsx b/webapp/packages/supersonic-fe/src/pages/SemanticModel/SemanticGraph/index.tsx
index f57c09ffa..cd4176cdc 100644
--- a/webapp/packages/supersonic-fe/src/pages/SemanticModel/SemanticGraph/index.tsx
+++ b/webapp/packages/supersonic-fe/src/pages/SemanticModel/SemanticGraph/index.tsx
@@ -20,15 +20,17 @@ import initLegend from './components/Legend';
 import { SemanticNodeType } from '../enum';
 import G6 from '@antv/g6';
 import { ISemantic, IDataSource } from '../data';
-
+import NodeInfoDrawer from './components/NodeInfoDrawer';
 import DimensionInfoModal from '../components/DimensionInfoModal';
 import MetricInfoCreateForm from '../components/MetricInfoCreateForm';
 import DeleteConfirmModal from './components/DeleteConfirmModal';
+import ClassDataSourceTypeModal from '../components/ClassDataSourceTypeModal';
+import GraphToolBar from './components/GraphToolBar';
 import { cloneDeep } from 'lodash';
 
 type Props = {
   domainId: number;
-  graphShowType: SemanticNodeType;
+  graphShowType?: SemanticNodeType;
   domainManger: StateType;
   dispatch: Dispatch;
 };
@@ -36,13 +38,18 @@ type Props = {
 const DomainManger: React.FC<Props> = ({
   domainManger,
   domainId,
-  graphShowType = SemanticNodeType.DIMENSION,
+  // graphShowType = SemanticNodeType.DIMENSION,
+  graphShowType,
   dispatch,
 }) => {
   const ref = useRef(null);
+  const dataSourceRef = useRef<ISemantic.IDomainSchemaRelaList>([]);
   const [graphData, setGraphData] = useState<TreeGraphData>();
   const [createDimensionModalVisible, setCreateDimensionModalVisible] = useState<boolean>(false);
   const [createMetricModalVisible, setCreateMetricModalVisible] = useState<boolean>(false);
+  const [infoDrawerVisible, setInfoDrawerVisible] = useState<boolean>(false);
+
+  const [currentNodeData, setCurrentNodeData] = useState<any>();
 
   const legendDataRef = useRef<any[]>([]);
   const graphRef = useRef<any>(null);
@@ -53,12 +60,15 @@ const DomainManger: React.FC<Props> = ({
 
   const [nodeDataSource, setNodeDataSource] = useState<any>();
 
+  const [dataSourceInfoList, setDataSourceInfoList] = useState<IDataSource.IDataSourceItem[]>([]);
+
   const { dimensionList, metricList } = domainManger;
 
   const dimensionListRef = useRef<ISemantic.IDimensionItem[]>([]);
   const metricListRef = useRef<ISemantic.IMetricItem[]>([]);
 
   const [confirmModalOpenState, setConfirmModalOpenState] = useState<boolean>(false);
+  const [createDataSourceModalOpen, setCreateDataSourceModalOpen] = useState(false);
 
   // const toggleNodeVisibility = (graph: Graph, node: Item, visible: boolean) => {
   //   if (visible) {
@@ -84,8 +94,34 @@ const DomainManger: React.FC<Props> = ({
   //   }
   // };
 
-  const changeGraphData = (data: IDataSource.IDataSourceItem[], type: SemanticNodeType) => {
-    const relationData = formatterRelationData(data, type);
+  const handleSeachNode = (text: string) => {
+    const filterData = dataSourceRef.current.reduce(
+      (data: ISemantic.IDomainSchemaRelaList, item: ISemantic.IDomainSchemaRelaItem) => {
+        const { dimensions, metrics } = item;
+        const dimensionsList = dimensions.filter((dimension) => {
+          return dimension.name.includes(text);
+        });
+        const metricsList = metrics.filter((metric) => {
+          return metric.name.includes(text);
+        });
+        data.push({
+          ...item,
+          dimensions: dimensionsList,
+          metrics: metricsList,
+        });
+        return data;
+      },
+      [],
+    );
+    const rootGraphData = changeGraphData(filterData);
+    refreshGraphData(rootGraphData);
+  };
+
+  const changeGraphData = (
+    dataSourceList: ISemantic.IDomainSchemaRelaList,
+    type?: SemanticNodeType,
+  ): TreeGraphData => {
+    const relationData = formatterRelationData({ dataSourceList, type, limit: 20 });
     const legendList = relationData.map((item: any) => {
       const { id, name } = item;
       return {
@@ -101,7 +137,6 @@ const DomainManger: React.FC<Props> = ({
       name: domainManger.selectDomainName,
       children: relationData,
     };
-    //
     return graphRootData;
   };
 
@@ -112,8 +147,14 @@ const DomainManger: React.FC<Props> = ({
     const { code, data } = await getDomainSchemaRela(params.domainId);
     if (code === 200) {
       if (data) {
-        const graphRootData = changeGraphData(data, params.graphShowType || graphShowType);
+        setDataSourceInfoList(
+          data.map((item: ISemantic.IDomainSchemaRelaItem) => {
+            return item.datasource;
+          }),
+        );
+        const graphRootData = changeGraphData(data);
         setGraphData(graphRootData);
+        dataSourceRef.current = data;
         return graphRootData;
       }
       return false;
@@ -164,14 +205,17 @@ const DomainManger: React.FC<Props> = ({
     if (!targetData) {
       return;
     }
-
     const datasource = loopNodeFindDataSource(item);
     if (datasource) {
       setNodeDataSource({
+        ...datasource,
         id: datasource.uid,
-        name: datasource.name,
       });
     }
+    if (targetData.nodeType === SemanticNodeType.DATASOURCE) {
+      setCreateDataSourceModalOpen(true);
+      return;
+    }
     if (targetData.nodeType === SemanticNodeType.DIMENSION) {
       const targetItem = dimensionListRef.current.find((item) => item.id === targetData.uid);
       if (targetItem) {
@@ -180,6 +224,7 @@ const DomainManger: React.FC<Props> = ({
       } else {
         message.error('获取维度初始化数据失败');
       }
+      return;
     }
     if (targetData.nodeType === SemanticNodeType.METRIC) {
       const targetItem = metricListRef.current.find((item) => item.id === targetData.uid);
@@ -189,22 +234,23 @@ const DomainManger: React.FC<Props> = ({
       } else {
         message.error('获取指标初始化数据失败');
       }
+      return;
     }
   };
 
-  const handleContextMenuClickCreate = (item: IItemBaseConfig) => {
+  const handleContextMenuClickCreate = (item: IItemBaseConfig, key: string) => {
     const datasource = item.model;
     if (!datasource) {
       return;
     }
     setNodeDataSource({
+      ...datasource,
       id: datasource.uid,
-      name: datasource.name,
     });
-    if (graphShowType === SemanticNodeType.DIMENSION) {
+    if (key === 'createDimension') {
       setCreateDimensionModalVisible(true);
     }
-    if (graphShowType === SemanticNodeType.METRIC) {
+    if (key === 'createMetric') {
       setCreateMetricModalVisible(true);
     }
     setDimensionItem(undefined);
@@ -216,10 +262,19 @@ const DomainManger: React.FC<Props> = ({
     if (!targetData) {
       return;
     }
+    if (targetData.nodeType === SemanticNodeType.DATASOURCE) {
+      setCurrentNodeData({
+        ...targetData,
+        id: targetData.uid,
+      });
+      setConfirmModalOpenState(true);
+      return;
+    }
     if (targetData.nodeType === SemanticNodeType.DIMENSION) {
       const targetItem = dimensionListRef.current.find((item) => item.id === targetData.uid);
       if (targetItem) {
-        setDimensionItem({ ...targetItem });
+        // setDimensionItem({ ...targetItem });
+        setCurrentNodeData(targetItem);
         setConfirmModalOpenState(true);
       } else {
         message.error('获取维度初始化数据失败');
@@ -228,7 +283,8 @@ const DomainManger: React.FC<Props> = ({
     if (targetData.nodeType === SemanticNodeType.METRIC) {
       const targetItem = metricListRef.current.find((item) => item.id === targetData.uid);
       if (targetItem) {
-        setMetricItem({ ...targetItem });
+        // setMetricItem({ ...targetItem });
+        setCurrentNodeData(targetItem);
         setConfirmModalOpenState(true);
       } else {
         message.error('获取指标初始化数据失败');
@@ -242,19 +298,27 @@ const DomainManger: React.FC<Props> = ({
     }
     switch (key) {
       case 'edit':
+      case 'editDatasource':
         handleContextMenuClickEdit(item._cfg);
         break;
       case 'delete':
+      case 'deleteDatasource':
         handleContextMenuClickDelete(item._cfg);
         break;
-      case 'create':
-        handleContextMenuClickCreate(item._cfg);
+      case 'createDimension':
+      case 'createMetric':
+        handleContextMenuClickCreate(item._cfg, key);
         break;
       default:
         break;
     }
   };
 
+  const handleNodeTypeClick = (nodeData: any) => {
+    setCurrentNodeData(nodeData);
+    setInfoDrawerVisible(true);
+  };
+
   const graphConfigMap = {
     dendrogram: {
       defaultEdge: {
@@ -308,7 +372,7 @@ const DomainManger: React.FC<Props> = ({
       const graphConfigKey = graphNodeList.length > 20 ? 'dendrogram' : 'mindmap';
 
       getLegendDataFilterFunctions();
-      const toolbar = initToolBar({ refreshGraphData });
+      const toolbar = initToolBar({ onSearch: handleSeachNode });
       const tooltip = initTooltips();
       const contextMenu = initContextMenu({
         graphShowType,
@@ -325,14 +389,14 @@ const DomainManger: React.FC<Props> = ({
         height,
         modes: {
           default: [
-            {
-              type: 'collapse-expand',
-              onChange: function onChange(item, collapsed) {
-                const data = item!.get('model');
-                data.collapsed = collapsed;
-                return true;
-              },
-            },
+            // {
+            //   type: 'collapse-expand',
+            //   onChange: function onChange(item, collapsed) {
+            //     const data = item!.get('model');
+            //     data.collapsed = collapsed;
+            //     return true;
+            //   },
+            // },
             'drag-node',
             'drag-canvas',
             // 'activate-relations',
@@ -368,6 +432,8 @@ const DomainManger: React.FC<Props> = ({
         plugins: [legend, tooltip, toolbar, contextMenu],
       });
       graphRef.current.set('initGraphData', graphData);
+      graphRef.current.set('initDataSource', dataSourceRef.current);
+
       const legendCanvas = legend._cfgs.legendCanvas;
 
       // legend模式事件方法bindEvents会有点击图例空白清空选中的逻辑，在注册click事件前，先将click事件队列清空；
@@ -408,13 +474,34 @@ const DomainManger: React.FC<Props> = ({
           label: node.name,
         });
       });
-
       graphRef.current.data(graphData);
       graphRef.current.render();
       graphRef.current.fitView([80, 80]);
 
       setAllActiveLegend(legend);
 
+      graphRef.current.on('node:click', (evt: any) => {
+        const item = evt.item; // 被操作的节点 item
+        const itemData = item?._cfg?.model;
+        if (itemData) {
+          const { nodeType } = itemData;
+          if (
+            [
+              SemanticNodeType.DIMENSION,
+              SemanticNodeType.METRIC,
+              SemanticNodeType.DATASOURCE,
+            ].includes(nodeType)
+          ) {
+            handleNodeTypeClick(itemData);
+            return;
+          }
+        }
+      });
+
+      graphRef.current.on('canvas:click', () => {
+        setInfoDrawerVisible(false);
+      });
+
       const rootNode = graphRef.current.findById('root');
       graphRef.current.hideItem(rootNode);
       if (typeof window !== 'undefined')
@@ -442,18 +529,69 @@ const DomainManger: React.FC<Props> = ({
 
   return (
     <>
+      <GraphToolBar
+        onClick={({ eventName }: { eventName: string }) => {
+          setNodeDataSource(undefined);
+          if (eventName === 'createDatabase') {
+            setCreateDataSourceModalOpen(true);
+          }
+          if (eventName === 'createDimension') {
+            setCreateDimensionModalVisible(true);
+            setDimensionItem(undefined);
+          }
+          if (eventName === 'createMetric') {
+            setCreateMetricModalVisible(true);
+            setMetricItem(undefined);
+          }
+        }}
+      />
       <div
         ref={ref}
         key={`${domainId}-${graphShowType}`}
         id="semanticGraph"
-        style={{ width: '100%', height: '100%' }}
+        style={{ width: '100%', height: 'calc(100vh - 175px)', position: 'relative' }}
       />
+      <NodeInfoDrawer
+        nodeData={currentNodeData}
+        placement="right"
+        onClose={() => {
+          setInfoDrawerVisible(false);
+        }}
+        open={infoDrawerVisible}
+        mask={false}
+        getContainer={false}
+        onEditBtnClick={(nodeData: any) => {
+          handleContextMenuClickEdit({ model: nodeData });
+          setInfoDrawerVisible(false);
+        }}
+        onNodeChange={({ eventName }: { eventName: string }) => {
+          updateGraphData();
+          setInfoDrawerVisible(false);
+          if (eventName === SemanticNodeType.METRIC) {
+            dispatch({
+              type: 'domainManger/queryMetricList',
+              payload: {
+                domainId,
+              },
+            });
+          }
+          if (eventName === SemanticNodeType.DIMENSION) {
+            dispatch({
+              type: 'domainManger/queryDimensionList',
+              payload: {
+                domainId,
+              },
+            });
+          }
+        }}
+      />
+
       {createDimensionModalVisible && (
         <DimensionInfoModal
           domainId={domainId}
           bindModalVisible={createDimensionModalVisible}
           dimensionItem={dimensionItem}
-          dataSourceList={nodeDataSource ? [nodeDataSource] : []}
+          dataSourceList={nodeDataSource ? [nodeDataSource] : dataSourceInfoList}
           onSubmit={() => {
             setCreateDimensionModalVisible(false);
             updateGraphData();
@@ -473,7 +611,7 @@ const DomainManger: React.FC<Props> = ({
         <MetricInfoCreateForm
           domainId={domainId}
           key={metricItem?.id}
-          datasourceId={nodeDataSource.id}
+          datasourceId={nodeDataSource?.id}
           createModalVisible={createMetricModalVisible}
           metricItem={metricItem}
           onSubmit={() => {
@@ -491,6 +629,19 @@ const DomainManger: React.FC<Props> = ({
           }}
         />
       )}
+      {
+        <ClassDataSourceTypeModal
+          open={createDataSourceModalOpen}
+          onCancel={() => {
+            setNodeDataSource(undefined);
+            setCreateDataSourceModalOpen(false);
+          }}
+          dataSourceItem={nodeDataSource}
+          onSubmit={() => {
+            updateGraphData();
+          }}
+        />
+      }
       {
         <DeleteConfirmModal
           open={confirmModalOpenState}
@@ -514,8 +665,7 @@ const DomainManger: React.FC<Props> = ({
           onCancelClick={() => {
             setConfirmModalOpenState(false);
           }}
-          nodeType={graphShowType}
-          nodeData={graphShowType === SemanticNodeType.DIMENSION ? dimensionItem : metricItem}
+          nodeData={currentNodeData}
         />
       }
     </>
